Bug 968859 - Review Request: nodejs-through - Simplified stream construction for Node.js
Review Request: nodejs-through - Simplified stream construction for Node.js
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: nodejs-reviews 968857
  Show dependency treegraph
 
Reported: 2013-05-30 02:41 EDT by Jamie Nguyen
Modified: 2013-06-16 14:34 EDT (History)
3 users (show)

See Also:
Fixed In Version: nodejs-through-2.3.4-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-30 10:42:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tchollingsworth: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jamie Nguyen 2013-05-30 02:41:49 EDT
Spec URL: http://jamielinux.fedorapeople.org/tape/nodejs-through.spec
SRPM URL: http://jamielinux.fedorapeople.org/tape/SRPMS/nodejs-through-2.3.4-1.fc19.src.rpm
Fedora Account System Username: jamielinux

Description:
Simplified stream construction for Node.js.
Comment 1 T.C. Hollingsworth 2013-05-30 08:25:02 EDT
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed

Status: APPROVED

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[-]: Large documentation must go in a -doc subpackage.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (through-2.3.4.tgz)
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
        OK, all deps not available yet
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

Node.js:
[x]: Uses Node.js macros appropriately
[-]: Symlinks executables instead of copying

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: nodejs-through-2.3.4-1.fc20.noarch.rpm
          nodejs-through-2.3.4-1.fc20.src.rpm
nodejs-through.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-through.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-through.noarch: W: only-non-binary-in-usr-lib
nodejs-through.src: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-through.src: W: spelling-error %description -l en_US js -> dis, ks, j
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-through
nodejs-through.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-through.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-through.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'

OK

Requires
--------
nodejs-through-2.3.4-1.fc20.noarch.rpm (rpmlib, GLIBC filtered):
    
    nodejs(engine)

OK

Provides
--------
nodejs-through-2.3.4-1.fc20.noarch.rpm:
    
    nodejs-through = 2.3.4-1.fc20
    npm(through) = 2.3.4

OK

MD5-sum check
-------------
http://registry.npmjs.org/through/-/through-2.3.4.tgz :
  CHECKSUM(SHA256) this package     : a73f41c6cac9d9788a40b49ee0bf43170b8ec394035282ea951f6033c3aac425
  CHECKSUM(SHA256) upstream package : a73f41c6cac9d9788a40b49ee0bf43170b8ec394035282ea951f6033c3aac425

OK

Generated by fedora-review 0.3.1 (f4bc12d) last change: 2012-10-16
Buildroot used: fedora-rawhide-vanilla-x86_64
Command line :./try-fedora-review -b968859
Comment 2 Jamie Nguyen 2013-05-30 09:17:59 EDT
New Package SCM Request
=======================
Package Name: nodejs-through
Short Description: Simplified stream construction for Node.js
Owners: jamielinux patches
Branches: f18 f19 el6
InitialCC:
Comment 3 Gwyn Ciesla 2013-05-30 09:35:51 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2013-05-30 10:27:26 EDT
nodejs-through-2.3.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-through-2.3.4-1.fc19
Comment 5 Fedora Update System 2013-05-30 10:28:17 EDT
nodejs-through-2.3.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nodejs-through-2.3.4-1.fc18
Comment 6 Fedora Update System 2013-05-30 10:30:17 EDT
nodejs-through-2.3.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-through-2.3.4-1.el6
Comment 7 Fedora Update System 2013-06-07 23:44:08 EDT
nodejs-through-2.3.4-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 8 Fedora Update System 2013-06-08 22:24:07 EDT
nodejs-through-2.3.4-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 9 Fedora Update System 2013-06-16 14:34:15 EDT
nodejs-through-2.3.4-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.